import javax.swing.JOptionPane;

import mock.MessageDialog;

public class GUI implements View {
	
	private Model model;
	private MessageDialog out;
	
	public GUI(Model m, MessageDialog output) {
		model = m;
		out = output;
	}

	@Override
	public void updateNewBalance(double newBalance) {
		out.show("The new balance is " + newBalance);
	}

	@Override
	public double getRate() {
		return Double.parseDouble(JOptionPane.showInputDialog("Enter rate"));
	}

	@Override
	public double getBalance() {
		return Double.parseDouble(JOptionPane.showInputDialog("Enter balance"));
	}

}
