import java.io.PrintStream;
import java.util.Scanner;

public class Console implements View {

	private Model model;
	private Scanner input;
	private PrintStream output;
	
	public Console(Model m, Scanner input, PrintStream output) {
		this.model = m;
		this.input = input;
		this.output = output;
	}
	
	@Override
	public void updateNewBalance(double newBalance) {
		output.println(newBalance);
	}

	@Override
	public double getRate() {
		output.print("Rate: ");
		return input.nextDouble();
	}

	@Override
	public double getBalance() {
		output.print("Balance: ");
		return input.nextDouble();
	}

}
