
public class Controller {

	private Model model;
	private View view;
	
	public Controller(Model m, View v) {
		this.model = m;
		this.view = v;
	}
	
	public void updateBalance() {
		double b = view.getBalance();
		model.setBalance(b);
	}
	
	public void updateRate() {
		double b = view.getRate();
		model.setRate(b);
	}
	
	public void presentAnswer() {
		double b = model.getNewBalance();
		view.updateNewBalance(b);
	}
	
}
